"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
// Import here Polyfills if needed. Recommended core-js (npm i -D core-js)
// import "core-js/fn/array.find"
// ...
/**
 * zhuoyuan93@gmail.com
 * 屏幕工具类 以及一些常用的工具类封装
 * ui设计基准,iphone 6 2倍图
 * width:750px
 * height:1334px
 * @2x
 */
var react_native_1 = require("react-native");
exports.screenW = react_native_1.Dimensions.get('window').width;
exports.screenH = react_native_1.Dimensions.get('window').height;
var fontScale = react_native_1.PixelRatio.getFontScale();
exports.pixelRatio = react_native_1.PixelRatio.get();
// 像素密度
exports.DEFAULT_DENSITY = 2;
// px转换成dp
// 以iphone6为基准,如果以其他尺寸为基准的话,请修改下面的defaultWidth和defaultHeight为对应尺寸即可. 以下为1倍图时
var defaultWidth = 750;
var defaultHeight = 1334;
var w2 = defaultWidth / exports.DEFAULT_DENSITY;
// px转换成dp
var h2 = defaultHeight / exports.DEFAULT_DENSITY;
// 缩放比例
var _scaleWidth = exports.screenW / defaultWidth;
var _scaleHeight = exports.screenH / defaultHeight;
// iPhoneX
var X_WIDTH = 375;
var X_HEIGHT = 812;
/**
 * 屏幕适配,缩放size , 默认根据宽度适配，纵向也可以使用此方法
 * 横向的尺寸直接使用此方法
 * 如：width ,paddingHorizontal ,paddingLeft ,paddingRight ,marginHorizontal ,marginLeft ,marginRight
 * @param size 设计图的尺寸
 * @returns {number}
 */
function scaleSize(size) {
    return size * _scaleWidth;
}
exports.scaleSize = scaleSize;
/**
 * 屏幕适配 , 纵向的尺寸使用此方法应该会更趋近于设计稿
 * 如：height ,paddingVertical ,paddingTop ,paddingBottom ,marginVertical ,marginTop ,marginBottom
 * @param size 设计图的尺寸
 * @returns {number}
 */
function scaleHeight(size) {
    return size * _scaleHeight;
}
exports.scaleHeight = scaleHeight;
/* 最初版本尺寸适配方案 也许你会更喜欢这个
export function scaleSize(size: Number) {
  let scaleWidth = screenW / w2;
  let scaleHeight = screenH / h2;
  let scale = Math.min(scaleWidth, scaleHeight);
  size = Math.round((size * scale + 0.5));
  return size / DEFAULT_DENSITY;
}*/
/**
 * 设置字体的size（单位px）
 * @param size 传入设计稿上的px , allowFontScaling 是否根据设备文字缩放比例调整，默认不会
 * @returns {Number} 返回实际sp
 */
function setSpText(size, allowFontScaling) {
    if (allowFontScaling === void 0) { allowFontScaling = false; }
    var scale = Math.min(_scaleWidth, _scaleHeight);
    var fontSize = allowFontScaling ? 1 : fontScale;
    return (size * scale) / fontSize;
}
function setSpText2(size) {
    var scaleWidth = exports.screenW / w2;
    var scaleHeight = exports.screenH / h2;
    var scale = Math.min(scaleWidth, scaleHeight);
    size = Math.round(size * scale + 0.5);
    return (size / exports.DEFAULT_DENSITY) * fontScale;
}
exports.setSpText2 = setSpText2;
/**
 * 判断是否为iphoneX
 * @returns {boolean}
 */
function isIphoneX() {
    return (react_native_1.Platform.OS === 'ios' &&
        ((exports.screenH === X_HEIGHT && exports.screenW === X_WIDTH) || (exports.screenH === X_WIDTH && exports.screenW === X_HEIGHT)));
}
exports.isIphoneX = isIphoneX;
/**
 * 根据是否是iPhoneX返回不同的样式
 * @param iphoneXStyle
 * @param iosStyle
 * @param androidStyle
 * @returns {*}
 */
function ifIphoneX(iphoneXStyle, iosStyle, androidStyle) {
    if (iosStyle === void 0) { iosStyle = {}; }
    if (isIphoneX()) {
        return iphoneXStyle;
    }
    else if (react_native_1.Platform.OS === 'ios') {
        return iosStyle;
    }
    else {
        if (androidStyle)
            return androidStyle;
        return iosStyle;
    }
}
exports.ifIphoneX = ifIphoneX;
/**
 * 判断对象，数组，字符串是否为空
 * @param str  (null|undefined|''|'   '|[]|{}) 均判断为空，返回true
 * @returns {boolean}
 */
function isEmpty(str) {
    if (!str) {
        return true;
    }
    else if (typeof str === 'object' && Object.keys(str).length === 0) {
        return true;
    }
    else if (str.replace(/(^\s*)|(\s*$)/g, '').length === 0) {
        return true;
    }
    return false;
}
exports.isEmpty = isEmpty;
//# sourceMappingURL=react-native-responsive-design.js.map