(function (global, factory) {
  typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('react-native')) :
  typeof define === 'function' && define.amd ? define(['exports', 'react-native'], factory) :
  (factory((global.reactNativeResponsiveDesign = {}),global.reactNative));
}(this, (function (exports,reactNative) { 'use strict';

  // Import here Polyfills if needed. Recommended core-js (npm i -D core-js)
  var screenW = reactNative.Dimensions.get('window').width;
  var screenH = reactNative.Dimensions.get('window').height;
  var fontScale = reactNative.PixelRatio.getFontScale();
  var pixelRatio = reactNative.PixelRatio.get();
  // 像素密度
  var DEFAULT_DENSITY = 2;
  // px转换成dp
  // 以iphone6为基准,如果以其他尺寸为基准的话,请修改下面的defaultWidth和defaultHeight为对应尺寸即可. 以下为1倍图时
  var defaultWidth = 750;
  var defaultHeight = 1334;
  var w2 = defaultWidth / DEFAULT_DENSITY;
  // px转换成dp
  var h2 = defaultHeight / DEFAULT_DENSITY;
  // 缩放比例
  var _scaleWidth = screenW / defaultWidth;
  var _scaleHeight = screenH / defaultHeight;
  // iPhoneX
  var X_WIDTH = 375;
  var X_HEIGHT = 812;
  /**
   * 屏幕适配,缩放size , 默认根据宽度适配，纵向也可以使用此方法
   * 横向的尺寸直接使用此方法
   * 如：width ,paddingHorizontal ,paddingLeft ,paddingRight ,marginHorizontal ,marginLeft ,marginRight
   * @param size 设计图的尺寸
   * @returns {number}
   */
  function scaleSize(size) {
      return size * _scaleWidth;
  }
  /**
   * 屏幕适配 , 纵向的尺寸使用此方法应该会更趋近于设计稿
   * 如：height ,paddingVertical ,paddingTop ,paddingBottom ,marginVertical ,marginTop ,marginBottom
   * @param size 设计图的尺寸
   * @returns {number}
   */
  function scaleHeight(size) {
      return size * _scaleHeight;
  }
  function setSpText2(size) {
      var scaleWidth = screenW / w2;
      var scaleHeight = screenH / h2;
      var scale = Math.min(scaleWidth, scaleHeight);
      size = Math.round(size * scale + 0.5);
      return (size / DEFAULT_DENSITY) * fontScale;
  }
  /**
   * 判断是否为iphoneX
   * @returns {boolean}
   */
  function isIphoneX() {
      return (reactNative.Platform.OS === 'ios' &&
          ((screenH === X_HEIGHT && screenW === X_WIDTH) || (screenH === X_WIDTH && screenW === X_HEIGHT)));
  }
  /**
   * 根据是否是iPhoneX返回不同的样式
   * @param iphoneXStyle
   * @param iosStyle
   * @param androidStyle
   * @returns {*}
   */
  function ifIphoneX(iphoneXStyle, iosStyle, androidStyle) {
      if (iosStyle === void 0) { iosStyle = {}; }
      if (isIphoneX()) {
          return iphoneXStyle;
      }
      else if (reactNative.Platform.OS === 'ios') {
          return iosStyle;
      }
      else {
          if (androidStyle)
              return androidStyle;
          return iosStyle;
      }
  }
  /**
   * 判断对象，数组，字符串是否为空
   * @param str  (null|undefined|''|'   '|[]|{}) 均判断为空，返回true
   * @returns {boolean}
   */
  function isEmpty(str) {
      if (!str) {
          return true;
      }
      else if (typeof str === 'object' && Object.keys(str).length === 0) {
          return true;
      }
      else if (str.replace(/(^\s*)|(\s*$)/g, '').length === 0) {
          return true;
      }
      return false;
  }

  exports.screenW = screenW;
  exports.screenH = screenH;
  exports.pixelRatio = pixelRatio;
  exports.DEFAULT_DENSITY = DEFAULT_DENSITY;
  exports.scaleSize = scaleSize;
  exports.scaleHeight = scaleHeight;
  exports.setSpText2 = setSpText2;
  exports.isIphoneX = isIphoneX;
  exports.ifIphoneX = ifIphoneX;
  exports.isEmpty = isEmpty;

  Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=react-native-responsive-design.umd.js.map
