export declare let screenW: number;
export declare let screenH: number;
export declare let pixelRatio: number;
export declare const DEFAULT_DENSITY = 2;
/**
 * 屏幕适配,缩放size , 默认根据宽度适配，纵向也可以使用此方法
 * 横向的尺寸直接使用此方法
 * 如：width ,paddingHorizontal ,paddingLeft ,paddingRight ,marginHorizontal ,marginLeft ,marginRight
 * @param size 设计图的尺寸
 * @returns {number}
 */
export declare function scaleSize(size: number): number;
/**
 * 屏幕适配 , 纵向的尺寸使用此方法应该会更趋近于设计稿
 * 如：height ,paddingVertical ,paddingTop ,paddingBottom ,marginVertical ,marginTop ,marginBottom
 * @param size 设计图的尺寸
 * @returns {number}
 */
export declare function scaleHeight(size: number): number;
export declare function setSpText2(size: number): number;
/**
 * 判断是否为iphoneX
 * @returns {boolean}
 */
export declare function isIphoneX(): boolean;
/**
 * 根据是否是iPhoneX返回不同的样式
 * @param iphoneXStyle
 * @param iosStyle
 * @param androidStyle
 * @returns {*}
 */
export declare function ifIphoneX(iphoneXStyle: any, iosStyle: {} | undefined, androidStyle: any): any;
/**
 * 判断对象，数组，字符串是否为空
 * @param str  (null|undefined|''|'   '|[]|{}) 均判断为空，返回true
 * @returns {boolean}
 */
export declare function isEmpty(str: any): boolean;
